Bug 198063

Summary: [New port] devel/gitlist - GitList is a web based git repository browser written in PHP similar to GitHub
Product: Ports & Packages Reporter: Andre Rikkert de Koe - ARK-ICT <freebsd-ports>
Component: Individual Port(s)Assignee: Bartek Rutkowski <robak>
Status: Closed FIXED    
Severity: Affects Only Me CC: robak
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
New port devel/gitlist in shar format
none
New port devel/gitlist - reworked after review none

Description Andre Rikkert de Koe - ARK-ICT 2015-02-26 21:44:18 UTC
Created attachment 153563 [details]
New port devel/gitlist in shar format
Comment 1 Bartek Rutkowski freebsd_committer 2015-07-20 07:49:03 UTC
Can you adjust your port to the latest standards, namely, abandon @exec for chown and @dirrm and submit a new shar to be reviewed and tested?
Comment 2 Andre Rikkert de Koe - ARK-ICT 2015-07-26 22:08:07 UTC
Created attachment 159279 [details]
New port devel/gitlist - reworked after review
Comment 3 Andre Rikkert de Koe - ARK-ICT 2015-08-26 06:05:15 UTC
Today its half year ago that I created this port.
Is there something I can do to speedup the commit process ?
Comment 4 Bartek Rutkowski freebsd_committer 2015-09-08 09:52:47 UTC
(In reply to freebsd-ports from comment #3)

Yes, you can - as I said in my earlier comment, you need to adapt your port submission to today's standards, which I've mentioned. Please, refer to Porters Handbook here: https://www.freebsd.org/doc/en/books/porters-handbook/ and join #bsdports on Efnet: https://wiki.freebsd.org/IrcChannels
Comment 5 Bartek Rutkowski freebsd_committer 2015-09-08 10:50:39 UTC
(In reply to Bartek Rutkowski from comment #4)

Scratch that, I've missed the second updated shar you've submitted, sorry!
Comment 6 commit-hook freebsd_committer 2015-09-09 11:01:01 UTC
A commit references this bug:

Author: robak
Date: Wed Sep  9 11:00:48 UTC 2015
New revision: 396463
URL: https://svnweb.freebsd.org/changeset/ports/396463

Log:
  devel/gitlist: NEW PORT - Web based Git repository browser written in PHP

  GitList is a web based git repository browser written in PHP similar to GitHub

  WWW: http://gitlist.org

  PR:		198063
  Submitted by:	Andre Rikkert de Koe <andre@ark-ict.nl>

Changes:
  head/devel/Makefile
  head/devel/gitlist/
  head/devel/gitlist/Makefile
  head/devel/gitlist/distinfo
  head/devel/gitlist/files/
  head/devel/gitlist/files/pkg-message.in
  head/devel/gitlist/pkg-descr
Comment 7 Bartek Rutkowski freebsd_committer 2015-09-09 11:01:19 UTC
Committed, thanks!
Comment 8 Andre Rikkert de Koe - ARK-ICT 2015-09-17 06:12:38 UTC
Thanks for committing.
I'm using freebsd since version 2.2.8. Now finally I contributed something to the community.